#

API Docs for: 1.4.3
Show: Inherited Protected Private Deprecated

# SpriteSheetLoader Class

Uses

- EventTarget

Defined in: `src/pixi/loaders/SpriteSheetLoader.js:5`
Module: PIXI

The sprite sheet loader is used to load in JSON sprite sheet data To generate the data you can use http://www.codeandweb.com/texturepacker and publish in the 'JSON' format There is a free version so thats nice, although the paid version is great value for money. It is highly recommended to use Sprite sheets (also know as a 'texture atlas') as it means sprites can be batched and drawn together for highly increased rendering speed. Once the data has been loaded the frames are stored in the PIXI texture cache and can be accessed though PIXI.Texture.fromFrameId() and PIXI.Sprite.fromFrameId() This loader will load the image file that the Spritesheet points to as well as the data. When loaded this class will dispatch a 'loaded' event

## Constructor

### `SpriteSheetLoader`

(

- `url`
- `crossorigin`

)

Defined in `src/pixi/loaders/SpriteSheetLoader.js:5`

#### Parameters:

- `url` String

  The url of the sprite sheet JSON file

- `crossorigin` Boolean

  Whether requests should be treated as crossorigin

- Index
- Methods
- Properties

## Item Index

### Methods

- load
- onLoaded

### Properties

- baseUrl
- crossorigin
- frames
- texture
- url

## Methods

### `load`

()

Defined in `src/pixi/loaders/SpriteSheetLoader.js:73`

This will begin loading the JSON file

### `onLoaded`

() private

Defined in `src/pixi/loaders/SpriteSheetLoader.js:88`

Invoke when all files are loaded (json and texture)

## Properties

### `baseUrl`

String

Defined in `src/pixi/loaders/SpriteSheetLoader.js:44`

[read-only] The base url of the bitmap font data

### `crossorigin`

Boolean

Defined in `src/pixi/loaders/SpriteSheetLoader.js:36`

Whether the requests should be treated as cross origin

### `frames`

Object

Defined in `src/pixi/loaders/SpriteSheetLoader.js:61`

The frames of the sprite sheet

### `texture`

Texture

Defined in `src/pixi/loaders/SpriteSheetLoader.js:53`

The texture being loaded

### `url`

String

Defined in `src/pixi/loaders/SpriteSheetLoader.js:28`

The url of the bitmap font data